<nz-page-header [nzGhost]="false">
  <nz-page-header-title>Gestiones</nz-page-header-title>
  <nz-page-header-subtitle>Personas Juridicas</nz-page-header-subtitle>
  <nz-page-header-extra>
    <nz-space>
      <nz-button-group *nzSpaceItem>
        <!-- new users/employees -->
        <button
          nz-button
          nzType="primary"
          nz-tooltip
          nzTooltipTitle="Crear nueva persona juridica"
          nzTooltipPlacement="topRight"
          (click)="new()"
        >
          Nuevo
        </button>
        <button
          nz-button
          nzType="primary"
          nz-dropdown
          [nzDropdownMenu]="menu"
          nzPlacement="bottomRight"
        >
          <span nz-icon nzType="down"></span>
        </button>
      </nz-button-group>

      <nz-dropdown-menu #menu="nzDropdownMenu">
        <ul nz-menu>
          <li nz-menu-item>
            <a>
              <span nz-icon nzType="printer" nzTheme="fill"></span>
              imprimir
            </a>
          </li>
        </ul>
      </nz-dropdown-menu>
    </nz-space>
  </nz-page-header-extra>
</nz-page-header>

<nz-table
  #basicTable
  nzShowSizeChanger
  [nzData]="dataSource"
  [nzLoading]="loading"
>
  <thead>
    <tr>
      <th>#</th>
      <th>Nombre</th>
      <th>Razon Social</th>
      <th>Nit</th>
      <th>Direccion</th>
      <th>Telefono</th>
      <th>Acciones</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of basicTable.data">
      <td>{{ data.id }}</td>
      <td>{{ data.nombres }}</td>
      <td>{{ data.razon_social }}</td>
      <td>{{ data.nit }}</td>
      <td>{{ data.direccion }}</td>
      <td>{{ data.telefono }}</td>

      <td nzAlign="left">
        <nz-button-group>
          <button
            nz-button
            nz-tooltip
            nzTooltipTitle="Ver Informacion"
            nzTooltipPlacement="topRight"
            (click)="view(data.id)"
          >
            Ver persona
          </button>
          <button
            nz-button
            nz-dropdown
            [nzDropdownMenu]="menu"
            nzPlacement="bottomRight"
          >
            <span nz-icon nzType="down"></span>
          </button>
        </nz-button-group>
        <nz-dropdown-menu #menu="nzDropdownMenu">
          <ul nz-menu>
            <li nz-menu-item (click)="edit(data)">
              <nz-space>
                <span *nzSpaceItem nz-icon nzType="edit" nzTheme="fill"></span>
                <span *nzSpaceItem>Editar</span>
              </nz-space>
            </li>

            <li
              nz-menu-item
              (click)="delete(data.id)"
              [nzDisabled]="data.nombres == 'admin'"
            >
              <nz-space>
                <span
                  *nzSpaceItem
                  nz-icon
                  nzType="delete"
                  nzTheme="outline"
                ></span>
                <span *nzSpaceItem>Eliminar</span>
              </nz-space>
            </li>
          </ul>
        </nz-dropdown-menu>
      </td>
    </tr>
  </tbody>
</nz-table>
